
QGIS Application - Bug report #9416

Problem compiling QGIS in visual studio

2014-01-23 03:28 PM - Alvaro Huarte

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18011

Description

I can not build QGIS in visual studio when this commit is applied: commit:e8205c98c938b60569c30d5c0bbec3acab1f441a

the errors come from std::swap<> calls....

void QgsSingleSymbolRendererV2::swap( QgsSingleSymbolRendererV2 & other )

{

  std::swap( mSymbol, other.mSymbol );

  std::swap( mRotation, other.mRotation );

  .......

}

am I missing something?, or there is an error when 'std::auto_ptr' was changed for 'QScopedPointer'

I get these errors...

2>  qgssinglesymbolrendererv2.cpp

2>c:\\Archivos de programa\\Microsoft Visual Studio 10.0\\VC\\include\\utility(102): error C2248:

'QScopedPointer<T>::QScopedPointer' : cannot access private member declared in class 'QScopedPointer<T>'

2>          with

2>          [

2>              T=QgsSymbolV2

2>          ]

2>          D:\\TFS_OSGeo\\SIT\\SIG_SDK\\OSGeo\\OSGeo4W\\include\\qt4\\QtCore/qscopedpointer.h(170) : see declaration of

'QScopedPointer<T>::QScopedPointer'

2>          with

2>          [

2>              T=QgsSymbolV2

2>          ]

2>          ..\\..\\..\\QGIS\\src\\core\\symbology-ng\\qgssinglesymbolrendererv2.cpp(59) : see reference to function template

instantiation 'void std::swap<QScopedPointer<T>>(_Ty &,_Ty &)' being compiled

2>          with

2>          [

2>              T=QgsSymbolV2,

2>              _Ty=QScopedPointer<QgsSymbolV2>

2>          ]

2>c:\\Archivos de programa\\Microsoft Visual Studio 10.0\\VC\\include\\utility(103): error C2248: 'QScopedPointer<T>::operator

=' : cannot access private member declared in class 'QScopedPointer<T>'

2>          with
2>          [

2>              T=QgsSymbolV2

2>          ]

2> ....................

Associated revisions

Revision a78a0035 - 2014-01-24 02:01 AM - Jürgen Fischer

fix windows build (fixes #9416)

History

#1 - 2014-01-23 03:38 PM - Alvaro Huarte

May be 'QScopedPointer::swap' ( http://qt-project.org/doc/qt-5.0/qtcore/qscopedpointer.html#swap ) ?

#2 - 2014-01-23 05:02 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a78a0035ac397c72cdbf878f69eb0060bd4fed66".

#3 - 2014-01-23 05:27 PM - Alvaro Huarte

Thanks Jürgen!
http://qt-project.org/doc/qt-5.0/qtcore/qscopedpointer.html#swap

